import { jsx as _jsx } from "react/jsx-runtime";
import { Typography } from '@mui/material';
import Avatar from '@mui/material/Avatar';
import './adminAvatar-styles.scss';
const AdminAvatar = (props) => {
    const { size = 'small', src, alt = 'Admin Avatar', className = '', name = '' } = props;
    const COLORS = [
        '#FF5733',
        '#33A1FF',
        '#FFC300',
        '#8E44AD',
        '#2ECC71',
        '#FF33A1',
        '#3498DB',
        '#E74C3C',
    ];
    const getInitials = (name) => {
        const nameParts = name?.trim()?.split(' ');
        const firstNameInitial = (name && nameParts[0]?.charAt(0).toUpperCase()) || '';
        const lastNameInitial = (name && nameParts[1]?.charAt(0).toUpperCase()) || '';
        return `${firstNameInitial}${lastNameInitial}` || 'A';
    };
    const getColor = (name) => {
        const hash = name && [...name]?.reduce((acc, char) => acc + char?.charCodeAt(0), 0);
        const color = hash ? COLORS[hash % COLORS.length] : COLORS[0];
        return color;
    };
    const avatarContent = src ? (_jsx(Avatar, { src: src, alt: alt, className: `adminAvatar ${size} ${className}` })) : (_jsx(Avatar, { className: `adminAvatar ${size} ${className}`, sx: { backgroundColor: getColor(name) }, children: _jsx(Typography, { className: "adminAvatar__initials", children: getInitials(name) }) }));
    return avatarContent;
};
export default AdminAvatar;
