import { jsx as _jsx } from "react/jsx-runtime";
import { Button } from '@mui/material';
import AdminSpinner from '../../components/spinner/AdminSpinner';
import { ButtonVariant } from '../../constants/common-constants';
import './adminButton-styles.scss';
const AdminButton = (props) => {
    const { buttonClass = '', buttonVariant = ButtonVariant.Contained, handleClick, isDisabled = false, isFullWidth = true, isLoading = false, loadingIndicatorClass, isDisabledRipple = false, disableFocusRipple = false, title, titleClass = '', ...rest } = props;
    return (_jsx(Button, { className: `adminButton__container  ${buttonClass}`, disabled: isDisabled, disableFocusRipple: disableFocusRipple, disableRipple: isDisabledRipple, fullWidth: isFullWidth, onClick: handleClick, variant: buttonVariant, color: "primary", ...rest, children: isLoading ? _jsx(AdminSpinner, { spinnerSize: 20, color: "white" }) : title }));
};
export default AdminButton;
