import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Badge } from '@mui/material';
import { ButtonVariant } from '../../constants/common-constants';
import AdminButton from '../button/AdminButton';
import PageHeader from './PageHeader';
import './header-styles.scss';
const Header = (props) => {
    const { isPrimaryButtonEnabled = false, isSecondaryButtonEnabled = false, isTernaryButtonEnabled = false, onPrimaryButtonPress, onSecondaryButtonPress = () => { }, onTernaryButtonPress = () => { }, primaryButtonTitle, secondaryButtonTitle = '', ternaryButtonTitle = '', primaryButtonBadgeCount = 0, secondaryButtonBadgeCount = 0, ternaryButtonBadgeCount = 0, isPrimaryButtonLoading = false, isSecondaryButtonLoading = false, isTernaryButtonLoading = false, totalRecordsCount = 0, title = '', containerClassName = '', } = props;
    return (_jsxs("div", { className: `header__tableHeaderContainer ${containerClassName}`, children: [_jsx(PageHeader, { title: title, totalRecordsCount: totalRecordsCount }), _jsxs("div", { className: "header__buttonContainer", children: [isPrimaryButtonEnabled && (_jsx(Badge, { badgeContent: primaryButtonBadgeCount, color: "primary", children: _jsx(AdminButton, { buttonVariant: ButtonVariant.Contained, handleClick: onPrimaryButtonPress, title: primaryButtonTitle, isLoading: isPrimaryButtonLoading }) })), isSecondaryButtonEnabled && (_jsx(Badge, { badgeContent: secondaryButtonBadgeCount, color: "primary", children: _jsx(AdminButton, { buttonVariant: ButtonVariant.Contained, handleClick: onSecondaryButtonPress, title: secondaryButtonTitle, isLoading: isSecondaryButtonLoading }) })), isTernaryButtonEnabled && (_jsx(Badge, { badgeContent: ternaryButtonBadgeCount, color: "primary", children: _jsx(AdminButton, { buttonVariant: ButtonVariant.Contained, handleClick: onTernaryButtonPress, title: ternaryButtonTitle, isLoading: isTernaryButtonLoading }) }))] })] }));
};
export default Header;
