declare const DomainStore: import("mobx-state-tree").IModelType<{
    userStore: import("mobx-state-tree").IModelType<{
        isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
        isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
        isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
    }, {
        setIsSignedIn: (value: boolean) => void;
        logoutUser: () => void;
        registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
        checkEmailExists: (email: string) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    configStore: import("mobx-state-tree").IModelType<{
        configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            id: import("mobx-state-tree").ISimpleType<string>;
            key: import("mobx-state-tree").ISimpleType<string>;
            value: import("mobx-state-tree").IType<any, any, any>;
            type: import("mobx-state-tree").ISimpleType<string>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
        isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
    }, {
        getConfigData: (page: number, limit: number) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
        deleteConfigItem: (id: string) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
        addConfigData: (data: {
            id?: string;
            key: string;
            value: string;
            type: string;
        }) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
        updateConfigItem: (id: string, newData: any) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    dashboardStore: import("mobx-state-tree").IModelType<{
        chartData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            name: import("mobx-state-tree").ISimpleType<string>;
            uv: import("mobx-state-tree").ISimpleType<number>;
            pv: import("mobx-state-tree").ISimpleType<number>;
            amt: import("mobx-state-tree").ISimpleType<number>;
        }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
        isLoading: import("mobx-state-tree").ISimpleType<boolean>;
    }, {
        getChartData: () => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    termsAndConditions: import("mobx-state-tree").IModelType<{
        termsAndConditionsData: import("mobx-state-tree").ISimpleType<string>;
        id: import("mobx-state-tree").ISimpleType<string>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {
    updateTermsAndCondition: (data: string, id: string) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
    getTermsAndConditions: () => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
    setTermsAndConditionsData: (data: string) => void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export { DomainStore };
